using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Threading;
using NUnit.Framework;

using Smdn.Net.Imap4.Client.Session;
using Smdn.Net.Imap4.Protocol;

namespace Smdn.Net.Imap4.Client {
  [TestFixture]
  public class ImapClientOperationsMailboxAcrossSessionTests {
    [Test]
    [Ignore("to be added")]
    public void TestMoveMailboxWithDestinationMailboxName()
    {
      ImapClient.MoveMailbox(null, null, "destinationMailbox");
    }

    [Test]
    [Ignore("to be added")]
    public void TestCopyMailboxWithDestinationMailboxName()
    {
      ImapClient.CopyMailbox(null, null, "destinationMailbox");
    }

    [Test]
    [Ignore("to be added")]
    public void TestMoveMailboxWithDestinationMailbox()
    {
      ImapClient.MoveMailbox(null, null);
    }

    [Test]
    [Ignore("to be added")]
    public void TestCopyMailboxWithDestinationMailbox()
    {
      ImapClient.CopyMailbox(null, null);
    }

    [Test]
    [Ignore("to be added")]
    public void TestMoveMailboxRecursive()
    {
      ImapClient.MoveMailbox(null, null, true);
    }

    [Test]
    [Ignore("to be added")]
    public void TestCopyMailboxRecursive()
    {
      ImapClient.CopyMailbox(null, null, true);
    }

    [Test]
    [Ignore("to be added")]
    public void TestMoveMailboxSubscribe()
    {
      ImapClient.MoveMailbox(null, null, false, true);
    }

    [Test]
    [Ignore("to be added")]
    public void TestCopyMailboxSubscribe()
    {
      ImapClient.CopyMailbox(null, null, false, true);
    }

    [Test]
    [Ignore("to be added")]
    public void TestMoveMailboxSameSession()
    {
    }

    [Test]
    [Ignore("to be added")]
    public void TestCopyMailboxSameSession()
    {
    }

    [Test, ExpectedException(typeof(NotSupportedException))]
    [Ignore("to be added")]
    public void TestMoveMailboxDestinationCanNotHaveChild()
    {
    }

    [Test, ExpectedException(typeof(NotSupportedException))]
    [Ignore("to be added")]
    public void TestCopyMailboxDestinationCanNotHaveChild()
    {
    }
  }
}

